<div class="m-l-10 entity-information-grid">
  <label class="txt-ellipsis">{{
    'sqtm-core.search.generic.criteria.test-case-id' | translate
  }}</label>
  <div>
    @if (executionPageComponentData.execution.testCaseId) {
      <a
        [routerLink]="[
          '/',
          'test-case-workspace',
          'test-case',
          'detail',
          executionPageComponentData.execution.testCaseId,
          'content'
        ]"
        [attr.data-test-link-id]="'test-case-id'"
      >
        {{ executionPageComponentData.execution.testCaseId }}</a
      >
    } @else {
      {{ 'sqtm-core.generic.label.deleted.masculine' | translate }}
    }
  </div>
  <label class="txt-ellipsis">{{
    'sqtm-core.entity.test-case.nature.label' | translate
  }}</label>
  <div>
    <i
      nz-icon
      [nzType]="
        getInfoListIcon(executionPageComponentData.execution.tcNatIconName)
      "
      nzTheme="fill"
      class="sqtm-core-infolist-icon table-icon-size"
    >
    </i>
    <span [attr.data-test-element-id]="'execution-nature'">
      {{
        getDenormalizedNatureLabel(
          executionPageComponentData.execution.tcNatLabel
        ) | translate
      }}
    </span>
  </div>
  <label class="txt-ellipsis">{{
    'sqtm-core.entity.generic.status.label' | translate
  }}</label>
  <sqtm-app-denormalized-status
    [status]="executionPageComponentData.execution.tcStatus"
  ></sqtm-app-denormalized-status>
  <label class="txt-ellipsis">{{
    'sqtm-core.entity.test-case.type.label' | translate
  }}</label>
  <div>
    <i
      nz-icon
      [nzType]="
        getInfoListIcon(executionPageComponentData.execution.tcTypeIconName)
      "
      nzTheme="fill"
      class="sqtm-core-infolist-icon table-icon-size"
    >
    </i>
    <span [attr.data-test-element-id]="'execution-type'">
      {{
        getDenormalizedTypeLabel(
          executionPageComponentData.execution.tcTypeLabel
        ) | translate
      }}
    </span>
  </div>
  <label class="txt-ellipsis">{{
    'sqtm-core.entity.test-case.importance.label' | translate
  }}</label>
  <sqtm-app-denormalized-importance
    [importanceKey]="executionPageComponentData.execution.tcImportance"
  ></sqtm-app-denormalized-importance>
</div>
<div class="m-l-10 m-t-10 entity-information-grid-one-column">
  @if (executionPageComponentData.execution.datasetLabel) {
    <label class="txt-ellipsis">{{
      'sqtm-core.entity.dataset.label.singular' | translate
    }}</label>
    <span [attr.data-test-element-id]="'execution-dataset'">{{
      executionPageComponentData.execution.datasetLabel
    }}</span>
  }
  @for (
    dfv of executionPageComponentData.execution.denormalizedCustomFieldValues;
    track dfv;
    let index = $index
  ) {
    <div class="flex-row overflow-hidden">
      <label
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.campaign-workspace.execution-page.dnz-cuf.test-case.tooltip'
            | translate
        "
        [attr.data-test-element-id]="'execution-dnz-label-' + index"
        class="txt-ellipsis"
        >{{ dfv.label }}
      </label>
      <label class="m-l-3">*</label>
    </div>
    <sqtm-app-denormalized-custom-field
      [denormalizedFieldValue]="dfv"
      [attr.data-test-element-id]="'execution-dnz-value-' + index"
    >
    </sqtm-app-denormalized-custom-field>
  }
  @for (cfd of customFieldData; track trackCfd(cfd)) {
    <label class="txt-ellipsis">{{ cfd.label }}</label>
    <div>
      <sqtm-core-custom-field-widget
        [sqtmCoreEntityCustomField]="cfd"
        [attr.data-test-customfield-id]="cfd.name"
      ></sqtm-core-custom-field-widget>
    </div>
  }
  <label class="txt-ellipsis">{{
    'sqtm-core.entity.generic.description.label' | translate
  }}</label>
  <div
    [attr.data-test-element-id]="'execution-tc-description'"
    class="overflow-hidden"
    [innerHTML]="
      executionPageComponentData.execution.tcDescription | safeRichContent
    "
  ></div>
</div>
